package com.gree.mall.manager.bean.admin.reqDto;

import com.gree.mall.manager.plus.entity.AdminUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value="AdminUserAddBean对象", description="新增用户对象")
public class AdminUserAddReqBean extends AdminUser {

    @ApiModelProperty("数据权限集合")
    private List<AdminUserPermissions> permissions;
}
